Subject: Making parse-opt incremental, reworked series

From: Pierre Habouzit <[email-masked]>
Date: Tue, 24 Jun 2008 11:12:05 +0200

Here is a cleaned up series, with Junio's fixes, and some more.

The patch 7 is only a proof of concept, not meant to be merged at all, I
believe the rest is ready enough for now.

I'll try to do what I comment in patch 7/7 (reworking revisions option
parsing to be incremental as well) as soon as I have some time for it.